Global shortcuts for a Qt version

August 15, 2018 17:02 - Artem S. Tashkinov

Status: Closed Start date: August 15, 2018

Priority: Minor Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 4.1   

Affects version: 3.9.1   

Description

I wonder why they aren't implemented.

History

#1 - August 17, 2018 18:54 - Yao Mitachi

For now, Audacious can just work with however your desktop environment handles shortcuts. I know Plasma and Gnome both have global shortcut

functionality. I went into Gnome's keyboard shortcuts settings just now, enabled my shortcut for play/pause and next/previous track, and they work.

#2 - August 19, 2018 17:02 - John Lindgren

I wonder why they aren't implemented.

 

The existing Global Shortcuts plugin uses GDK (and specifically the X11 backend of GDK) and therefore doesn't work with Qt.  If you would like to

work on a Qt port, that would be great.

#3 - August 22, 2018 22:33 - Artem S. Tashkinov

I definitely wouldn't venture to do that with my missing C++ skills, so I'll leave this as a reference:

https://github.com/falceeffect/UGlobalHotkey

https://github.com/hluk/qxtglobalshortcut

https://evileg.com/en/post/174/

#4 - August 22, 2018 22:36 - Artem S. Tashkinov

Sorry for spamming:

https://github.com/Legotckoi/QGlobalShortcut

https://github.com/mitei/qglobalshortcut

#5 - December 05, 2020 16:40 - John Lindgren

May 03, 2025 1/2

https://github.com/falceeffect/UGlobalHotkey
https://github.com/hluk/qxtglobalshortcut
https://evileg.com/en/post/174/
https://github.com/Legotckoi/QGlobalShortcut
https://github.com/mitei/qglobalshortcut


- % Done changed from 0 to 100

- Status changed from New to Closed

Git master has a Qt Global Hotkeys plugin now.

https://github.com/audacious-media-player/audacious-plugins/pull/86

#6 - December 21, 2020 21:05 - Thomas Lange

- Target version set to 4.1
